%{!?version:%define version 9.0.1}
# Note that koji will not run repo regeneration when new release package is built,
# because this package is automatically rebuild by create-mash itself.
# If you want to rebuild this package manually and force koji to launch
# create-mash after this, add a dot with digit at the end of release
# (e.g., define release 500.1)
%{!?release:%define release 668}

%define vdt virtuozzo-devel-tools
%define distro_substitute vzlinux
%define pretty_name OpenVZ release %{version}
%define pretty_fullname %{pretty_name} (%{release})
%define preset_services %(grep '^enable\\|disable' %{SOURCE55} | sed "s,.* ,,g" | tr '\\n' ' ')
%define mask_services wpa_supplicant.service
%define osrelease /etc/os-release

Summary:	OpenVZ release files
Name:		openvz-release
Version:        %{version}
Release:        %{release}%{?dist}
License:	GPL
Group:		System Environment/Base
Source1:	%{vdt}.sh
Source10:	RPM-GPG-KEY-Virtuozzo-7
Source11:	RPM-GPG-KEY-Virtuozzo-9
Source22:	NOTICE
Source30:	disp_helper.json
Source40:	virtuozzo-excludes
Source50:	openvz.repo
Source53:	factory.repo
Source54:	obsoleted_tmpls.repo
Source55:	01-virtuozzo.preset
Source56:	99-virtuozzo.conf
Source59:	update-post
Source62:	ebtables.filter
Source63:	do-upgrade-vz9
Source64:	vz-iptables-config.py
Source65:	ovz-cert.crt
Source66:	show-eula.py
Source67:	85-vz-nm-unmanaged.rules
Source87:	vz-modload.conf
Source92:	create_bridges.py
# VHS-specific libvirt configs
Source93:      01-vhs-libvirt.conf
Source94:      01-vhs-qemu.conf

ExclusiveArch:	x86_64
Requires:	system-release wget
Requires:       python3-lxml
Requires:	openvz-cep-config
# Dummy provide, no real vzlic in OpenVZ
Provides:	vzlic-dbus


Requires:  criu = 3.18.0.24-1.vz9
Requires:  edk2-ovmf = 20220526git16779ede2d36-3.vz9.3
Requires:  libguestfs = 1:1.48.4-2.vz9.4
#Requires:  (libprlcommon = 7.0.249-1.vz8 if libprlcommon)
#Requires:  (libprlsdk = 7.0.277-2.vz8 if libprlsdk)
#Requires:  (libprlxmlmodel = 8.0.2-1.vz8 if libprlxmlmodel)
Requires:  libvcmmd = 8.0.9-1.vz9
Requires:  libvirt = 8.5.0-7.4.vz9.46
Requires:  python3-libvirt = 8.5.0.4-2.vz9
Requires:  libvzctl = 8.0.81-1.vz9
Requires:  phaul = 0.1.95-1.vz9
Requires:  ploop = 9.0.11-1.vz9
#Requires:  (prl-disk-tool = 7.0.53-1.vz8 if prl-disk-tool)
#Requires:  (prl-disp-service = 8.0.1-1.vz8 if prl-disp-service)
#Requires:  (prl-vzvncserver = 7.0.23-1.vz8 if prl-vzvncserver)
#Requires:  (prlctl = 7.0.228-1.vz8 if prlctl)
#Requires:  (qt = 1:4.8.7-2.vz8.6 if qt)
#Requires:  seabios = 1:1.14.0-1.vz8.2
Requires:  vcmmd = 8.0.83-1.vz9
Requires:  vzctl = 8.0.29-1.vz9
#Requires:  vzmigrate = 7.0.147-1.vz8
Requires:  vztt = 9.0.4-1.vz9
Requires:  qemu-kvm

%description
OpenVZ release meta package

%package -n openvz-cep-config
Summary:	OpenVZ CEP configuration
Provides:	disp-helper-config
Provides:	disp-helper-config
Requires:	disp-helper-scripts
Obsoletes:	vzlinux-cep-config

%description -n openvz-cep-config
OpenVZ CEP configuration


%install
%{__rm} -rf $RPM_BUILD_ROOT

%{__mkdir} -p $RPM_BUILD_ROOT/%{_bindir}
%{__mkdir} -p $RPM_BUILD_ROOT/%{_sysconfdir}/udev/rules.d
%{__mkdir} -p $RPM_BUILD_ROOT/%{_sysconfdir}/pki
%{__mkdir} -p $RPM_BUILD_ROOT/%{_sysconfdir}/pki/rpm-gpg
%{__mkdir} -p $RPM_BUILD_ROOT/%{_sysconfdir}/init.d
%{__mkdir} -p $RPM_BUILD_ROOT/%{_sysconfdir}/profile.d
%{__mkdir} -p $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig
%{__mkdir} -p $RPM_BUILD_ROOT/%{_sysconfdir}/vz
%{__mkdir} -p $RPM_BUILD_ROOT/%{_sysconfdir}/yum
%{__mkdir} -p $RPM_BUILD_ROOT/%{_sysconfdir}/yum.repos.d
%{__mkdir} -p $RPM_BUILD_ROOT/usr/
%{__mkdir} -p $RPM_BUILD_ROOT/vz/tmp
%{__mkdir} -p $RPM_BUILD_ROOT/lib/sysctl.d
%{__mkdir} -p $RPM_BUILD_ROOT/%{_libexecdir}

install -m 644 %{SOURCE10} $RPM_BUILD_ROOT/%{_sysconfdir}/pki/rpm-gpg/
install -m 644 %{SOURCE11} $RPM_BUILD_ROOT/%{_sysconfdir}/pki/rpm-gpg/
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/licenses/%{name}
install -m 644 %{SOURCE22} $RPM_BUILD_ROOT/%{_datadir}/licenses/%{name}
install -m 644 %{SOURCE30} $RPM_BUILD_ROOT/%{_sysconfdir}/vz
install -m 644 %{SOURCE40} $RPM_BUILD_ROOT/%{_sysconfdir}/yum/virtuozzo-excludes
install -m 644 %{SOURCE50} $RPM_BUILD_ROOT/%{_sysconfdir}/yum.repos.d/openvz.repo
install -m 644 %{SOURCE53} $RPM_BUILD_ROOT/%{_sysconfdir}/yum.repos.d/factory.repo
install -m 644 %{SOURCE54} $RPM_BUILD_ROOT/%{_sysconfdir}/yum.repos.d/obsoleted_tmpls.repo
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/%{_bindir}/%{vdt}
mkdir -p $RPM_BUILD_ROOT/lib/systemd/system-preset
install -m 644 %{SOURCE55} $RPM_BUILD_ROOT/lib/systemd/system-preset/01-virtuozzo.preset
install -m 644 %{SOURCE56} $RPM_BUILD_ROOT/lib/sysctl.d/99-virtuozzo.conf
install -m 755 %{SOURCE59} $RPM_BUILD_ROOT/%{_libexecdir}/update-post
install -m 600 %{SOURCE62} $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig/ebtables.filter
install -m 755 %{SOURCE92} $RPM_BUILD_ROOT/%{_libexecdir}/vz8_create_bridges
install -m 755 %{SOURCE63} $RPM_BUILD_ROOT/%{_bindir}/do-upgrade-vz8
install -m 755 %{SOURCE64} $RPM_BUILD_ROOT/%{_libexecdir}/vz-iptables-config.py
install -m 755 %{SOURCE66} $RPM_BUILD_ROOT/%{_libexecdir}/show-eula.py
install -m 644 %{SOURCE67} $RPM_BUILD_ROOT/%{_sysconfdir}/udev/rules.d

%{__mkdir} -p $RPM_BUILD_ROOT/%{_sysconfdir}/modules-load.d
install -m 644 %{SOURCE87} %{buildroot}/%{_sysconfdir}/modules-load.d/openvz.conf

mkdir -p %{buildroot}/%{_sysconfdir}/libvirt/libvirtd.d/
mkdir -p %{buildroot}/%{_sysconfdir}/libvirt/qemu.d/
install -m 644 %{SOURCE93} %{buildroot}/%{_sysconfdir}/libvirt/libvirtd.d/
install -m 644 %{SOURCE94} %{buildroot}/%{_sysconfdir}/libvirt/qemu.d/

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/disp-helper
install -m 644 %{SOURCE65} $RPM_BUILD_ROOT/%{_datadir}/disp-helper/ovz-cert.crt

echo "%{pretty_fullname}" | sed 's/%{?dist}//' > $RPM_BUILD_ROOT/%{_sysconfdir}/openvz-release 2>/dev/null

ln -s openvz-release $RPM_BUILD_ROOT/%{_sysconfdir}/virtuozzo-release

%post
# Only on first installation
if [ $1 -eq 1 ]; then
    # Proceed preset services
    for service in %{preset_services}; do
        systemctl preset $service > /dev/null 2>&1
    done
    for service in %{mask_services}; do
        systemctl mask $service > /dev/null 2>&1
    done
fi
:

%posttrans
sed -i 's/^SELINUX=.*/SELINUX=disabled/g' /etc/selinux/config > /dev/null 2>&1
:

%triggerin -- openssh-server
if [ -f /etc/ssh/sshd_config ]; then
    sed -i 's/#PermitRootLogin prohibit-password/PermitRootLogin yes/' /etc/ssh/sshd_config
fi
:

%triggerin -- %{distro_substitute}-release
# Substitution for based OS
if [ -f /etc/yum.repos.d/vzlinux.repo ]; then
    grep -q exclude=kmod-kvdo /etc/yum.repos.d/vzlinux.repo || sed '/^name=.*/a exclude=kmod-kvdo,vdo,kernel,kernel-core,kernel-devel,kernel-debug,libvirt,seabios,libguestfs,libguestfs-appliance,python3-libvirt,OVMF,anaconda*,kdump-anaconda-addon,blivet-data,python3-blivet,criu,crit,libcompel,python-criu,python3-criu,disp-helper-scripts-vz' -i /etc/yum.repos.d/vzlinux.repo
fi

[ -f /etc/system-release ] && rm -f /etc/system-release
ln -s openvz-release /etc/system-release
if [ -f /etc/openvz-release ]; then
	buildver=`cat /etc/openvz-release | sed -e "s,^.*(,,g" -e "s,)$,,g"`
else
	buildver=%{release}
fi
if [ -f %{osrelease} ]; then
	cat <<EOF > %{osrelease}
NAME="OpenVZ"
VERSION="%{version}"
ID="virtuozzo"
ID_LIKE="rhel fedora"
VERSION_ID="9"
PLATFORM_ID="platform:el9"
PRETTY_NAME="%{pretty_name}"
ANSI_COLOR="0;31"
CPE_NAME="cpe:/o:virtuozzoproject:vz:9"
HOME_URL="http://www.virtuozzo.com"
BUG_REPORT_URL="https://bugs.openvz.org/"
EOF
fi
:

%triggerin -- virtuozzo-release
# If OpenVZ -> VZ update is performed by means of do-upgrade-vz script,
# then this log is created automatically; but let's unsure it is created
# even if upgrade goes in some other way. In any case, we should install
# virtuozzo-release package
upgrade_log=/var/log/do-upgrade-vz9.log
if [ ! -f $upgrade_log ]; then
	echo "Switched to virtuozzo-release on `date`" > $upgrade_log
fi
:

%triggerin -- NetworkManager
sed -e "s,^ExecStart=/usr/bin/nm-online -s -q ,ExecStart=/usr/bin/nm-online -q ,g" -i /lib/systemd/system/NetworkManager-wait-online.service > /dev/null 2>&1
:

%files
%defattr(-,root,root)
%attr(755,root,root) %{_bindir}/%{vdt}
%attr(644,root,root) /lib/systemd/system-preset/01-virtuozzo.preset
%attr(644,root,root) /lib/sysctl.d/99-virtuozzo.conf
%attr(644,root,root) %{_sysconfdir}/openvz-release
%attr(644,root,root) %{_sysconfdir}/virtuozzo-release
%attr(644,root,root) %{_sysconfdir}/pki/rpm-gpg/*
%attr(644,root,root) %config %{_sysconfdir}/yum/virtuozzo-excludes
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/yum.repos.d/openvz.repo
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/yum.repos.d/factory.repo
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/yum.repos.d/obsoleted_tmpls.repo
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/libvirt/libvirtd.d/01-vhs-libvirt.conf
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/libvirt/qemu.d/01-vhs-qemu.conf
%dir %attr(0700,root,root) /vz/tmp
%attr(755,root,root) %{_libexecdir}/update-post
%attr(755,root,root) %{_libexecdir}/vz8_create_bridges
%attr(755,root,root) %{_libexecdir}/vz-iptables-config.py*
%attr(755,root,root) %{_libexecdir}/show-eula.py*
%doc %{_datadir}/licenses/%{name}/NOTICE
%attr(600,root,root) %{_sysconfdir}/sysconfig/ebtables.filter
%attr(755,root,root) %{_bindir}/do-upgrade-vz8
%attr(644,root,root) %{_datadir}/disp-helper/ovz-cert.crt
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/udev/rules.d/85-vz-nm-unmanaged.rules
%attr(644, root, root) %config(noreplace) %{_sysconfdir}/modules-load.d/*.conf

%files -n openvz-cep-config
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/vz/disp_helper.json

%changelog
* Tue Sep 06 2022 Artem Vasiliev <artem.vasiliev@virtuozzo.com> 9.0.1
- Adding proper Virtuozzo 9 keys

* Tue Jan 25 2022 Denis Silakov <dsilakov@virtuozzo.com> 9.0.0-375
- Fix exclude in vzlinux repo, see #PSBM-137996

* Mon Oct 25 2021 Denis Silakov <dsilakov@virtuozzo.com> 8.0.9999-4.1
- Enable rsyslog, see #PSBM-135169

* Fri Sep 03 2021 Denis Silakov <dsilakov@virtuozzo.com> 8.0.1-103
- Add VHS-specific libvirt configs, see #PSBM-127707

* Fri Aug 13 2021 Konstantin Vlasov <kvlasov@virtuozzo.com> 8.0.0-44
- Changed the OS name from Virtuozzo to OpenVZ, PSBM-131905

* Fri Jul 23 2021 Denis Silakov <dsilakov@virtuozzo.com> 8.0.0-19
- Force exclude for some packages in vzlinux repo, see PSBM-132252

* Tue Apr 20 2021 Denis Silakov <dsilakov@virtuozzo.com> 8.0.0-18
- Set module_hotfixes to True for Vz repos, see VZP-1386

* Thu Mar 11 2021 Denis Silakov <dsilakov@virtuozzo.com> 8.0.0-17
- Add dummy vzlic-dbus provide, see #PSBM-127008

* Sat Apr 11 2020 Denis Silakov <dsilakov@virtuozzo.com> 8.0.0-12
- Rename GPG key, fix factory repo URLs

* Mon Jan 27 2020 Konstantin Volkov <wolf@virtuozzo.com> 8.0.0-11
- Add prl-disp-create_bridges.service to default preset, see #PSBM-101017

* Tue Jan 21 2020 Konstantin Volkov <wolf@virtuozzo.com> 8.0.0-9
- Add dnf-plugins-core to requirements, see #PSBM-100929

* Tue Dec 10 2019 Konstantin Volkov <wolf@virtuozzo.com> 8.0.0-6
- Modify openvz plugin for dnf, see #PSBM-100199

* Wed Dec  4 2019 Konstantin Volkov <wolf@virtuozzo.com> 8.0.0-5
- Change yum/pluginconf.d -> dnf plugins. Drop unnecessary triggers, see #PSBM-99286

* Tue Dec  3 2019 Konstantin Volkov <wolf@virtuozzo.com> 8.0.0-4
- Turn back priority, see #PSBM-99286

* Mon Dec  2 2019 Konstantin Volkov <wolf@virtuozzo.com> 8.0.0-3
- Added platform ID, see #PSBM-99286

* Wed Nov 13 2019 Konstantin Volkov <wolf@virtuozzo.com> 8.0.0-2
- Switched to 8.0, see #PSBM-99286
- Drop yum priorities plugin
- Disabled factory repo

* Tue Nov  5 2019 Konstantin Volkov <wolf@virtuozzo.com> 7.0.13-1
- Switched to 7.0.13, see #PSBM-99207

* Mon Jul  1 2019 Konstantin Volkov <wolf@virtuozzo.com> 7.0.12-1
- Switched to 7.0.12, see #PSBM-95857

* Tue Apr  2 2019 Konstantin Volkov <wolf@virtuozzo.com> 7.0.11-1
- Switched to 7.0.11

* Wed Mar 27 2019 Konstantin Volkov <wolf@virtuozzo.com> 7.0.10-4
- Wait for network connectivity, not interface, see #PSBM-91528

* Mon Mar 11 2019 Konstantin Volkov <wolf@virtuozzo.com> 7.0.10-3
- Disable Selinux, see #PSBM-92428

* Wed Jan 23 2019 Konstantin Volkov <wolf@virtuozzo.com> 7.0.10-2
- Setup skipping vme and veth devices in NetworkManager using udev rules, see #PSBM-91146

* Wed Jan  9 2019 Konstantin Volkov <wolf@virtuozzo.com> 7.0.10-1
- Skip vme and veth devices in NetworkManager, see #PSBM-89891
- Switched to 7.0.10

* Mon Aug 13 2018 Konstantin Volkov <wolf@virtuozzo.com> 7.0.9-2
- Correct distro tag checkout

* Tue Jul 24 2018 Konstantin Volkov <wolf@virtuozzo.com> 7.0.9-1
- 7.0.9, see #PSBM-86847

* Tue Jun  5 2018 Konstantin Volkov <wolf@virtuozzo.com> 7.0.8-3
- Check for installed release package version before update release file,
  see #PSBM-83581

* Sat Apr 14 2018 Denis Silakov <dsilakov@virtuozzo.com> 7.0.8-2
- Adjust NOTICE file, see #PSBM-83478

* Mon Mar  5 2018 Konstantin Volkov <wolf@virtuozzo.com> 7.0.8-1
- 7.0.8

* Tue Nov 14 2017 Konstantin Volkov <wolf@virtuozzo.com> 7.0.7-1
- 7.0.7

* Mon Oct 16 2017 Denis Silakov <dsilakov@virtuozzo.com> 7.0.6-4
- Set priority for vz debuginfo repos, see #PSBM-75234

* Thu Oct 12 2017 Denis Silakov <dsilakov@virtuozzo.com> 7.0.6-3
- Set priority for vzlinux-factory repo to override EPEL, if any

* Tue Sep  5 2017 Konstantin Volkov <wolf@virtuozzo.com> 7.0.6-2
- Added vzlinux factory repos

* Thu Jul 20 2017 Konstantin Volkov <wolf@virtuozzo.com> 7.0.6-1
- 7.0.6

* Fri May 26 2017 Denis Silakov <dsilakov@virtuozzo.com> 7.0.5-2
- Improve EULA screen for "do-upgrade-vz7" utility, see #PSBM-63875

* Wed Apr 26 2017 Denis Silakov <dsilakov@virtuozzo.com> 7.0.5-1
- Initial 7.0.5 build

* Wed Apr 19 2017 Konstantin Volkov <wolf@virtuozzo.com> 7.0.4-17
- Force deletion of firewall.core.io.direct object, see #PSBM-64802

* Tue Apr 18 2017 Konstantin Volkov <wolf@virtuozzo.com> 7.0.4-16
- Updated parent holding name

* Mon Apr 17 2017 Denis Silakov <dsilakov@virtuozzo.com> 7.0.4-15
- Harden /vz/tmp permissions, see #PSBM-51934

* Thu Apr 13 2017 Konstantin Volkov <wolf@virtuozzo.com> 7.0.4-14
- Add INPUT_direct rules for venet0 with prio 10, see #PSBM-63302

* Wed Apr 12 2017 Alexander Burluka <aburluka@virtuozzo.com> 7.0.4-13
- Add parameter to disp_helper.json, see #PSBM-58499

* Wed Apr 12 2017 Konstantin Volkov <wolf@virtuozzo.com> 7.0.4-12
- Drop close hook at all, see #PP-388

* Wed Apr 12 2017 Konstantin Volkov <wolf@virtuozzo.com> 7.0.4-11
- Rework yum plugin close hook, see #PP-388

* Mon Apr 10 2017 Denis Silakov <dsilakov@virtuozzo.com> 7.0.4-10
- Disable smartd and atd services by default (#PSBM-57514)

* Thu Apr  6 2017 Denis Silakov <dsilakov@virtuozzo.com> 7.0.4-9
- Open firewall ports for preferred VNC (#PSBM-63279)

* Tue Apr 04 2017 Andrey Bondrov <abondrov@virtuozzo.com> 7.0.4-8
- Add an option to accept Virtuozzo EULA to do-upgrade-vz7 script
- Ask to accept Virtuozzo EULA if do-upgrade-vz7 is run without --accept-eula

* Tue Mar 28 2017 Denis Silakov <dsilakov@virtuozzo.com> 7.0.4-7
- Fix disp-helper URL, install OpenVZ cert (#PSBM-62659)

* Fri Mar 17 2017 Denis Silakov <dsilakov@virtuozzo.com> 7.0.4-6
- Add rules to enable forwarding (#PSBM-60693), move rule setting
  to a separate script launched on fresh install only
  
* Thu Mar 9 2017 Denis Silakov <dsilakov@virtuozzo.com> 7.0.4-5
- Enable vz-guest-tools-updater (#PSBM-17703)

* Tue Feb 28 2017 Denis Silakov <dsilakov@virtuozzo.com> 7.0.4-4
- Added vz-motd.timer to preset, see #PSBM-58295

* Tue Feb 14 2017 Konstantin Volkov <wolf@virtuozzo.com> 7.0.4-3
- Added disp-helper config, see #PSBM-60101

* Fri Feb 10 2017 Denis Silakov <dsilakov@virtuozzo.com> 7.0.4-2
- Create indicator file in case of OVZ -> VZ upgrade (#PSBM-60103)

* Wed Dec 21 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.4-1
- Switch to 7.0.4

* Wed Dec 21 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.3-3
- Disable factory repo

* Tue Dec 20 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.3-2
- Fixed pretty name, see #PSBM-54081 #PSBM-54399

* Fri Dec  9 2016 Denis Silakov <dsilakov@virtuozzo.com>  7.0.3-1
- Bump version
- do-upgrade-vz7: either provide license or skip its installation (#PSBM-57061)

* Fri Oct  7 2016 Denis Silakov <dsilakov@virtuozzo.com>  7.0.0-56
- Save do-upgrade-vz7 output to file

* Thu Sep  1 2016 Konstantin Volkov <wolf@virtuozzo.com>  7.0.0-55
- Added obsoleted templates repo, see #PSBM-51529

* Mon Jul 25 2016 Konstantin Volkov <wolf@virtuozzo.com>  7.0.0-54
- Mask wpa_supplicant.service, see #PSBM-49708

* Tue Jul 12 2016 Konstantin Volkov <wolf@virtuozzo.com>  7.0.0-53
- Revert 51 patch

* Fri Jul  8 2016 Konstantin Volkov <wolf@virtuozzo.com>  7.0.0-52
- Disable sendmail and wpa_supplicant services, see #PSBM-49301

* Tue Jul  5 2016 Denis Silakov <dsilakov@virtuozzo.com>  7.0.0-50
- Fix upgrade to Virtuozzo from repo.virtuozzo.com (#PSBM-49342)

* Wed Jun 29 2016 Konstantin Volkov <wolf@virtuozzo.com>  7.0.0-49
- Enabled factory repo

* Wed Jun 29 2016 Konstantin Volkov <wolf@virtuozzo.com>  7.0.0-48
- Disabled factory repo

* Thu Jun 09 2016 Konstantin Volkov <wolf@virtuozzo.com>  7.0.0-47
- Increase default priority for factory repo

* Wed Jun 01 2016 Denis Silakov <dsilakov@virtuozzo.com>  7.0.0-46
- Fix rpm invocation in do-upgrade-vz7

* Fri May 27 2016 Denis Silakov <dsilakov@virtuozzo.com>  7.0.0-45
- Removed comm systemd units from preset

* Thu May 26 2016 Denis Silakov <dsilakov@virtuozzo.com>  7.0.0-44
- Added do-upgrade-vz7 script for updating OpenVZ to Virtuozzo (#PSBM-46878)

* Wed May 25 2016 Denis Silakov <dsilakov@virtuozzo.com>  7.0.0-43
- Added separate yum plugin

* Tue May 24 2016 Konstantin Volckov <wolf@virtuozzo.com> 7.0.0-42
- Disable systemd-readahead-collect, systemd-readahead-drop and
  systemd-readahead-replay services in preset, see #PSBM-47060

* Sat May 21 2016 Denis Silakov <dsilakov@virtuozzo.com>  7.0.0-39
- Split openvz-release out of virtuozzo-release

* Thu Apr 28 2016 Konstantin Volckov <wolf@virtuozzo.com> 7.0.0-38
- Enable BUSE mount unit #PSBM-46657

* Tue Apr 26 2016 Konstantin Volckov <wolf@virtuozzo.com> 7.0.0-37
- Enable snmpd.service by default, see #PSBM-46520

* Fri Apr 22 2016 Konstantin Volckov <wolf@virtuozzo.com> 7.0.0-35
- Force related services to be enabled/disabled: for case when
  them installed before virtuozzo-release

* Thu Apr 21 2016 Konstantin Volckov <wolf@virtuozzo.com> 7.0.0-34
- Added ntpdate service and cronjob, see #PSBM-46462

* Wed Apr 20 2016 Konstantin Volckov <wolf@virtuozzo.com> 7.0.0-33
- Increase maximum available version to X.99.9999 (99999999)

* Sat Apr 16 2016 Konstantin Volckov <wolf@virtuozzo.com> 7.0.0-32
- Added vzlicmon.service to default system preset, see #PSBM-46272

* Sat Apr 16 2016 Konstantin Volckov <wolf@virtuozzo.com> 7.0.0-31
- Added pdrs and shaman to system preset

* Fri Apr  8 2016 Konstantin Volckov <wolf@virtuozzo.com> 7.0.0-30
- Detect installroot from yum

* Wed Mar 30 2016 Konstantin Volckov <wolf@virtuozzo.com> 7.0.0-29
- Ignore /etc/yum.conf, present in livecd-created 2nd stage, see #PSBM-45612

* Sat Mar 26 2016 Konstantin Volckov <wolf@odin.com> 7.0.0-28
- Add eol to release in yum plugin, see #PSBM-45479
- Enable pfcached.service by default, see #PSBM-45215

* Sat Mar 26 2016 Konstantin Volckov <wolf@odin.com> 7.0.0-27
- Implement version-release update in yum plugin, see #PSBM-45390

* Fri Mar 18 2016 Konstantin Volckov <wolf@odin.com> 7.0.0-26
- Switch back virtuozzo repo, see #PSBM-45201

* Thu Mar 17 2016 Konstantin Volckov <wolf@odin.com> 7.0.0-25
- Switch to factory repo, see #PSBM-45198

* Sat Feb 27 2016 Konstantin Volckov <wolf@odin.com> 7.0.0-24
- Enable gpg checks

* Sat Feb 27 2016 Konstantin Volckov <wolf@odin.com> 7.0.0-23
- Disabled factory repo

* Thu Feb 18 2016 Konstantin Volckov <wolf@odin.com> 7.0.0-22
- Enable virtuozzo repo, see #PSBM-44382

* Sat Feb 13 2016 Konstantin Volckov <wolf@odin.com> 7.0.0-21
- Create /vz/tmp temp dir, see #PSBM-44043 , #PSBM-44170

* Mon Dec 21 2015 Konstantin Volckov <wolf@odin.com> 7.0.0-20
- Use priority also for debuginfo, see #PSBM-42487

* Thu Dec 10 2015 Konstantin Volckov <wolf@odin.com> 7.0.0-19
- Release up for Beta3, see #PSBM-42184

* Wed Dec  9 2015 Konstantin Volckov <wolf@odin.com> 7.0.0-17
- Change gpg key to Virtuozzo 7 one, see #PSBM-42184

* Fri Oct  9 2015 Konstantin Volckov <wolf@odin.com> 7.0.0-16
- Disable official repos, see #PSBM-39771

* Mon Oct  5 2015 Konstantin Volckov <wolf@odin.com> 7.0.0-15
- Enable factory repo by default, see #PSBM-37921

* Fri Oct  2 2015 Konstantin Volckov <wolf@odin.com> 7.0.0-14
- Remove Cloudlinux repos

* Thu Sep 10 2015 Konstantin Volckov <wolf@odin.com> 7.0.0-13
- Fixed factory repositories, see #PSBM-39326

* Wed Aug 05 2015 Konstantin Volckov <wolf@odin.com> 7.0.0-12
- Changes in URLs in os-release, see #PSBM-35314
- Added iptables-services to autoenable list, see #PSBM-37779

* Mon Jul 27 2015 Konstantin Volckov <wolf@odin.com> 7.0.0-11
- Disable subscription-manager plugin, see #PSBM-35213

* Fri Jul 24 2015 Konstantin Volckov <wolf@odin.com> 7.0.0-10
- Fixed distrover in progress, see #PSBM-35168

* Fri Jul 24 2015 Konstantin Volckov <wolf@odin.com> 7.0.0-9
- Fixed mirrorlist links, see #PSBM-35167

* Thu Jul 23 2015 Konstantin Volckov <wolf@odin.com> 7.0.0-8
- Use mirrorlists for virtuozzo repos, see #PSBM-35105

* Wed Jul 22 2015 Konstantin Volckov <wolf@odin.com> 7.0.0-6
- Set systemd presets at posttrans, see PSBM-34961

* Wed Jul 22 2015 Konstantin Volckov <wolf@odin.com> 7.0.0-5
- Rename virtuozzo preset to the very-first num, see #PSBM-34961
- Mark /etc/virtuozzo-release as ghost, add it creation to post-install
- Remove firewalld.service from posttrans (wrong code)

* Thu Jul 16 2015 Konstantin Volckov <wolf@odin.com> 7.0.0-4
- Added vz-motd service to preset, see #PSBM-34873

* Thu Jul 16 2015 Konstantin Volckov <wolf@odin.com> 7.0.0-3
- Reworked

* Thu Jul 16 2015 Konstantin Volckov <wolf@odin.com> 7.0.1-1
- Initial build for 7th version
